#include <stdio.h>
#include <string.h>
#include <malloc.h>

#include <odkutils.h>

int
main ()
{
	int i;
	odkList *l = odk_list_new (0);
	void *d;
	int c;

	for (i = 0; i < 32000; i++) {
		odk_list_append (l, NULL);
		c = odk_list_count (l);
	}

	for (i = 0; i < 32000; i++) {
		odk_list_preappend (l, NULL);
		c = odk_list_count (l);
	}

	if (odk_list_first (l)) {
		do {
			d = odk_list_data (l);
		} while (odk_list_next (l));
	}

	if (odk_list_last (l)) {
		do {
			d = odk_list_data (l);
		} while (odk_list_prev (l));
	}

	for (i = 0; i < 64000; i++) {
		odk_list_first (l);
		odk_list_last (l);
	}

	while (odk_list_first (l)) {
		odk_list_delete (l);
	}

	odk_list_free (l, NULL);
}
